Runtime

## org.eclipse.gmf.runtime.diagram.ui.dialogs.sortfilter
Class SortFilterLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.LabelProvider
              org.eclipse.gmf.runtime.diagram.ui.dialogs.sortfilter.SortFilterLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider, ITableLabelProvider

public abstract class SortFilterLabelProvider
extends LabelProvider
implements ITableLabelProvider

Constructor Summary
`SortFilterLabelProvider()` constructor

Method Summary
`Image` `getColumnImage(java.lang.Object element, int columnIndex)`
`protected Image` `getImage(boolean isSelected)` returns the image

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`addListener, dispose, fireLabelProviderChanged, getImage, getText, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.ITableLabelProvider
`getColumnText`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### SortFilterLabelProvider

    public SortFilterLabelProvider()

  constructor

Method Detail

### getImage

    protected Image getImage(boolean isSelected)

  returns the image

  Parameters:
    `isSelected` - , determin if the returned image will be the selected image or not
  Returns:
    the image

### getColumnImage

    public Image getColumnImage(java.lang.Object element,
                                int columnIndex)

  Specified by:
    `getColumnImage` in interface `ITableLabelProvider`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.